Bug 1235749 - ERROR: openstack 'PlanManager' object has no attribute 'find'
Summary: ERROR: openstack 'PlanManager' object has no attribute 'find'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-rdomanager-oscplugin
Version: Director
Hardware: Unspecified
OS: Linux
high
high
Target Milestone: ga
: Director
Assignee: Ana Krivokapic
QA Contact: Ola Pavlenko
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-25 16:04 UTC by Ola Pavlenko
Modified: 2015-08-05 13:56 UTC (History)
7 users (show)

Fixed In Version: python-rdomanager-oscplugin-0.0.8-11.el7ost.noarch
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-05 13:56:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2015:1549 normal SHIPPED_LIVE Red Hat Enterprise Linux OpenStack Platform director Release 2015-08-05 17:49:10 UTC

Description Ola Pavlenko 2015-06-25 16:04:47 UTC
Description of problem:
-----------------------------------
tried to deploy the overcloud using Unified CLI command : openstack overcloud deploy --control-scale 3 --compute-scale 1 --ceph-storage-scale 1 --plan overcloud
and got :
openstack overcloud deploy --control-scale 3 --compute-scale 1 --ceph-storage-scale 1 --plan overcloud

Version-Release number of selected component (if applicable):
-----------------------------------------------------------------
python-rdomanager-oscplugin-0.0.8-6.el7ost.noarch
rhos-release-0.62-1.noarch

How reproducible:
-------------------------
100%

Steps to Reproduce:
-----------------------------
1. prepare for overcloud deployment using the guide https://repos.fedorapeople.org/repos/openstack-m/docs/internal/master/basic_deployment/basic_deployment.html
2. deploy the overcloud using openstack client cli command:
 openstack overcloud deploy --control-scale 3 --compute-scale 1 --ceph-storage-scale 1 --plan overcloud


Actual results:
------------------------
Error.

Expected results:
-------------------------
The plan was deployed

Additional info:
------------------------------
from openstack help overcloud deploy :
 --plan PLAN           The Name or UUID of the Tuskar plan to deploy.

I used the name.

[stack@instack ~]$ openstack overcloud deploy --control-scale 3 --compute-scale 1 --ceph-storage-scale 1 --plan overcloud --debug
DEBUG: cliff.commandmanager found command 'hypervisor_stats_show'
DEBUG: cliff.commandmanager found command 'security_group_create'
DEBUG: cliff.commandmanager found command 'security_group_rule_list'
DEBUG: cliff.commandmanager found command 'ip_floating_add'
DEBUG: cliff.commandmanager found command 'keypair_list'
DEBUG: cliff.commandmanager found command 'flavor_unset'
DEBUG: cliff.commandmanager found command 'host_show'
DEBUG: cliff.commandmanager found command 'host_list'
DEBUG: cliff.commandmanager found command 'hypervisor_show'
DEBUG: cliff.commandmanager found command 'server_pause'
DEBUG: cliff.commandmanager found command 'server_reboot'
DEBUG: cliff.commandmanager found command 'server_migrate'
DEBUG: cliff.commandmanager found command 'server_set'
DEBUG: cliff.commandmanager found command 'server_add_security_group'
DEBUG: cliff.commandmanager found command 'server_unrescue'
DEBUG: cliff.commandmanager found command 'usage_list'
DEBUG: cliff.commandmanager found command 'keypair_show'
DEBUG: cliff.commandmanager found command 'security_group_set'
DEBUG: cliff.commandmanager found command 'compute_agent_create'
DEBUG: cliff.commandmanager found command 'server_rescue'
DEBUG: cliff.commandmanager found command 'console_log_show'
DEBUG: cliff.commandmanager found command 'compute_agent_delete'
DEBUG: cliff.commandmanager found command 'server_ssh'
DEBUG: cliff.commandmanager found command 'server_lock'
DEBUG: cliff.commandmanager found command 'server_unset'
DEBUG: cliff.commandmanager found command 'server_show'
DEBUG: cliff.commandmanager found command 'server_suspend'
DEBUG: cliff.commandmanager found command 'server_add_volume'
DEBUG: cliff.commandmanager found command 'server_image_create'
DEBUG: cliff.commandmanager found command 'flavor_list'
DEBUG: cliff.commandmanager found command 'server_remove_volume'
DEBUG: cliff.commandmanager found command 'compute_agent_set'
DEBUG: cliff.commandmanager found command 'aggregate_add_host'
DEBUG: cliff.commandmanager found command 'aggregate_remove_host'
DEBUG: cliff.commandmanager found command 'compute_service_set'
DEBUG: cliff.commandmanager found command 'aggregate_create'
DEBUG: cliff.commandmanager found command 'keypair_create'
DEBUG: cliff.commandmanager found command 'ip_floating_list'
DEBUG: cliff.commandmanager found command 'aggregate_delete'
DEBUG: cliff.commandmanager found command 'flavor_set'
DEBUG: cliff.commandmanager found command 'security_group_rule_create'
DEBUG: cliff.commandmanager found command 'security_group_delete'
DEBUG: cliff.commandmanager found command 'server_rebuild'
DEBUG: cliff.commandmanager found command 'flavor_delete'
DEBUG: cliff.commandmanager found command 'server_delete'
DEBUG: cliff.commandmanager found command 'project_usage_list'
DEBUG: cliff.commandmanager found command 'availability_zone_list'
DEBUG: cliff.commandmanager found command 'hypervisor_list'
DEBUG: cliff.commandmanager found command 'flavor_create'
DEBUG: cliff.commandmanager found command 'console_url_show'
DEBUG: cliff.commandmanager found command 'ip_fixed_add'
DEBUG: cliff.commandmanager found command 'server_remove_security_group'
DEBUG: cliff.commandmanager found command 'usage_show'
DEBUG: cliff.commandmanager found command 'compute_agent_list'
DEBUG: cliff.commandmanager found command 'flavor_show'
DEBUG: cliff.commandmanager found command 'ip_fixed_remove'
DEBUG: cliff.commandmanager found command 'ip_floating_create'
DEBUG: cliff.commandmanager found command 'server_list'
DEBUG: cliff.commandmanager found command 'server_create'
DEBUG: cliff.commandmanager found command 'ip_floating_pool_list'
DEBUG: cliff.commandmanager found command 'aggregate_show'
DEBUG: cliff.commandmanager found command 'security_group_show'
DEBUG: cliff.commandmanager found command 'keypair_delete'
DEBUG: cliff.commandmanager found command 'server_resize'
DEBUG: cliff.commandmanager found command 'security_group_rule_delete'
DEBUG: cliff.commandmanager found command 'ip_floating_delete'
DEBUG: cliff.commandmanager found command 'ip_floating_remove'
DEBUG: cliff.commandmanager found command 'security_group_list'
DEBUG: cliff.commandmanager found command 'server_resume'
DEBUG: cliff.commandmanager found command 'aggregate_set'
DEBUG: cliff.commandmanager found command 'aggregate_list'
DEBUG: cliff.commandmanager found command 'server_unpause'
DEBUG: cliff.commandmanager found command 'compute_service_list'
DEBUG: cliff.commandmanager found command 'server_unlock'
DEBUG: openstackclient.shell compute API version 2, cmd group openstack.compute.v2
DEBUG: cliff.commandmanager found command 'network_set'
DEBUG: cliff.commandmanager found command 'network_delete'
DEBUG: cliff.commandmanager found command 'network_list'
DEBUG: cliff.commandmanager found command 'network_show'
DEBUG: cliff.commandmanager found command 'network_create'
DEBUG: openstackclient.shell network API version 2, cmd group openstack.network.v2
DEBUG: cliff.commandmanager found command 'image_set'
DEBUG: cliff.commandmanager found command 'image_delete'
DEBUG: cliff.commandmanager found command 'image_create'
DEBUG: cliff.commandmanager found command 'image_list'
DEBUG: cliff.commandmanager found command 'image_show'
DEBUG: cliff.commandmanager found command 'image_save'
DEBUG: openstackclient.shell image API version 1, cmd group openstack.image.v1
DEBUG: cliff.commandmanager found command 'snapshot_show'
DEBUG: cliff.commandmanager found command 'backup_create'
DEBUG: cliff.commandmanager found command 'volume_list'
DEBUG: cliff.commandmanager found command 'volume_show'
DEBUG: cliff.commandmanager found command 'snapshot_unset'
DEBUG: cliff.commandmanager found command 'volume_set'
DEBUG: cliff.commandmanager found command 'backup_delete'
DEBUG: cliff.commandmanager found command 'volume_create'
DEBUG: cliff.commandmanager found command 'volume_type_list'
DEBUG: cliff.commandmanager found command 'volume_type_create'
DEBUG: cliff.commandmanager found command 'backup_restore'
DEBUG: cliff.commandmanager found command 'backup_list'
DEBUG: cliff.commandmanager found command 'volume_unset'
DEBUG: cliff.commandmanager found command 'backup_show'
DEBUG: cliff.commandmanager found command 'volume_type_delete'
DEBUG: cliff.commandmanager found command 'volume_type_set'
DEBUG: cliff.commandmanager found command 'snapshot_set'
DEBUG: cliff.commandmanager found command 'snapshot_list'
DEBUG: cliff.commandmanager found command 'snapshot_delete'
DEBUG: cliff.commandmanager found command 'volume_delete'
DEBUG: cliff.commandmanager found command 'snapshot_create'
DEBUG: cliff.commandmanager found command 'volume_type_unset'
DEBUG: openstackclient.shell volume API version 1, cmd group openstack.volume.v1
DEBUG: cliff.commandmanager found command 'project_create'
DEBUG: cliff.commandmanager found command 'project_list'
DEBUG: cliff.commandmanager found command 'ec2_credentials_list'
DEBUG: cliff.commandmanager found command 'service_list'
DEBUG: cliff.commandmanager found command 'role_add'
DEBUG: cliff.commandmanager found command 'project_show'
DEBUG: cliff.commandmanager found command 'role_show'
DEBUG: cliff.commandmanager found command 'endpoint_delete'
DEBUG: cliff.commandmanager found command 'project_set'
DEBUG: cliff.commandmanager found command 'service_create'
DEBUG: cliff.commandmanager found command 'service_show'
DEBUG: cliff.commandmanager found command 'endpoint_show'
DEBUG: cliff.commandmanager found command 'ec2_credentials_create'
DEBUG: cliff.commandmanager found command 'catalog_list'
DEBUG: cliff.commandmanager found command 'ec2_credentials_delete'
DEBUG: cliff.commandmanager found command 'service_delete'
DEBUG: cliff.commandmanager found command 'token_issue'
DEBUG: cliff.commandmanager found command 'project_delete'
DEBUG: cliff.commandmanager found command 'endpoint_list'
DEBUG: cliff.commandmanager found command 'role_list'
DEBUG: cliff.commandmanager found command 'user_create'
DEBUG: cliff.commandmanager found command 'user_delete'
DEBUG: cliff.commandmanager found command 'user_show'
DEBUG: cliff.commandmanager found command 'role_create'
DEBUG: cliff.commandmanager found command 'role_remove'
DEBUG: cliff.commandmanager found command 'role_delete'
DEBUG: cliff.commandmanager found command 'catalog_show'
DEBUG: cliff.commandmanager found command 'token_revoke'
DEBUG: cliff.commandmanager found command 'endpoint_create'
DEBUG: cliff.commandmanager found command 'user_role_list'
DEBUG: cliff.commandmanager found command 'user_set'
DEBUG: cliff.commandmanager found command 'user_list'
DEBUG: cliff.commandmanager found command 'ec2_credentials_show'
DEBUG: openstackclient.shell identity API version 2, cmd group openstack.identity.v2
DEBUG: cliff.commandmanager found command 'object_create'
DEBUG: cliff.commandmanager found command 'object_list'
DEBUG: cliff.commandmanager found command 'object_delete'
DEBUG: cliff.commandmanager found command 'container_list'
DEBUG: cliff.commandmanager found command 'object_show'
DEBUG: cliff.commandmanager found command 'container_delete'
DEBUG: cliff.commandmanager found command 'container_create'
DEBUG: cliff.commandmanager found command 'container_show'
DEBUG: cliff.commandmanager found command 'container_save'
DEBUG: cliff.commandmanager found command 'object_save'
DEBUG: openstackclient.shell object_store API version 1, cmd group openstack.object_store.v1
DEBUG: cliff.commandmanager found command 'management_plan_download'
DEBUG: cliff.commandmanager found command 'management_plan_add_role'
DEBUG: cliff.commandmanager found command 'management_role_list'
DEBUG: cliff.commandmanager found command 'management_plan_delete'
DEBUG: cliff.commandmanager found command 'management_plan_set'
DEBUG: cliff.commandmanager found command 'management_plan_show'
DEBUG: cliff.commandmanager found command 'management_plan_remove_role'
DEBUG: cliff.commandmanager found command 'management_plan_create'
DEBUG: cliff.commandmanager found command 'management_plan_list'
DEBUG: openstackclient.shell management API version 2, cmd group openstack.management.v2
DEBUG: cliff.commandmanager found command 'overcloud_deploy'
DEBUG: cliff.commandmanager found command 'undercloud_install'
DEBUG: cliff.commandmanager found command 'baremetal_configure_boot'
DEBUG: cliff.commandmanager found command 'baremetal_import'
DEBUG: cliff.commandmanager found command 'overcloud_image_build'
DEBUG: cliff.commandmanager found command 'baremetal_introspection_bulk_status'
DEBUG: cliff.commandmanager found command 'overcloud_image_upload'
DEBUG: cliff.commandmanager found command 'overcloud_validate'
DEBUG: cliff.commandmanager found command 'overcloud_update_stack'
DEBUG: cliff.commandmanager found command 'baremetal_configure_ready_state'
DEBUG: cliff.commandmanager found command 'baremetal_introspection_bulk_start'
DEBUG: cliff.commandmanager found command 'overcloud_node_delete'
DEBUG: openstackclient.shell rdomanager_oscplugin API version 1, cmd group openstack.rdomanager_oscplugin.v1
DEBUG: cliff.commandmanager found command 'baremetal_introspection_status'
DEBUG: cliff.commandmanager found command 'baremetal_introspection_start'
DEBUG: openstackclient.shell baremetal-introspection API version 1, cmd group openstack.baremetal_introspection.v1
DEBUG: cliff.commandmanager found command 'baremetal_set'
DEBUG: cliff.commandmanager found command 'baremetal_add_port'
DEBUG: cliff.commandmanager found command 'baremetal_create'
DEBUG: cliff.commandmanager found command 'baremetal_power'
DEBUG: cliff.commandmanager found command 'baremetal_list'
DEBUG: cliff.commandmanager found command 'baremetal_unset'
DEBUG: cliff.commandmanager found command 'baremetal_show'
DEBUG: cliff.commandmanager found command 'baremetal_delete'
DEBUG: cliff.commandmanager found command 'baremetal_reboot'
DEBUG: openstackclient.shell baremetal API version 1.6, cmd group openstack.baremetal.v1
DEBUG: cliff.commandmanager found command 'extension_list'
DEBUG: cliff.commandmanager found command 'quota_set'
DEBUG: cliff.commandmanager found command 'quota_show'
DEBUG: cliff.commandmanager found command 'limits_show'
/usr/lib/python2.7/site-packages/novaclient/v1_1/__init__.py:30: UserWarning: Module novaclient.v1_1 is deprecated (taken as a basis for novaclient.v2). The preferable way to get client class or object you can find in novaclient.client module.
  warnings.warn("Module novaclient.v1_1 is deprecated (taken as a basis for "
INFO: openstackclient.shell command: <none> -> rdomanager_oscplugin.v1.overcloud_deploy.DeployOvercloud
DEBUG: openstackclient.api.auth Auth plugin osc_password selected
DEBUG: openstackclient.api.auth auth_type: osc_password
DEBUG: openstackclient.api.auth fetching option os_auth_url
DEBUG: openstackclient.api.auth fetching option os_domain_id
DEBUG: openstackclient.api.auth fetching option os_domain_name
DEBUG: openstackclient.api.auth fetching option os_tenant_id
DEBUG: openstackclient.api.auth fetching option os_tenant_name
DEBUG: openstackclient.api.auth fetching option os_project_id
DEBUG: openstackclient.api.auth fetching option os_project_name
DEBUG: openstackclient.api.auth fetching option os_project_domain_id
DEBUG: openstackclient.api.auth fetching option os_project_domain_name
DEBUG: openstackclient.api.auth fetching option os_trust_id
DEBUG: openstackclient.api.auth fetching option os_user_id
DEBUG: openstackclient.api.auth fetching option os_username
DEBUG: openstackclient.api.auth fetching option os_user_domain_id
DEBUG: openstackclient.api.auth fetching option os_user_domain_name
DEBUG: openstackclient.api.auth fetching option os_password
INFO: openstackclient.common.clientmanager Using auth plugin: osc_password
DEBUG: openstackclient.common.clientmanager Get auth_ref
DEBUG: keystoneclient.session REQ: curl -g -i -X GET http://192.0.2.1:5000/v2.0 -H "Accept: application/json" -H "User-Agent: python-keystoneclient"
INFO: requests.packages.urllib3.connectionpool Starting new HTTP connection (1): 192.0.2.1
DEBUG: requests.packages.urllib3.connectionpool "GET /v2.0 HTTP/1.1" 200 335
DEBUG: keystoneclient.session RESP: [200] content-length: 335 vary: X-Auth-Token connection: keep-alive date: Thu, 25 Jun 2015 16:03:34 GMT content-type: application/json x-openstack-request-id: req-2866111d-74d6-4034-8aa8-0b434da8cc64 
RESP BODY: {"version": {"status": "stable", "updated": "2014-04-17T00:00:00Z", "media-types": [{"base": "application/json", "type": "application/vnd.openstack.identity-v2.0+json"}], "id": "v2.0", "links": [{"href": "http://192.0.2.1:5000/v2.0/", "rel": "self"}, {"href": "http://docs.openstack.org/", "type": "text/html", "rel": "describedby"}]}}

DEBUG: keystoneclient.auth.identity.v2 Making authentication request to http://192.0.2.1:5000/v2.0/tokens
DEBUG: requests.packages.urllib3.connectionpool "POST /v2.0/tokens HTTP/1.1" 200 3541
DEBUG: rdomanager_oscplugin.v1.overcloud_deploy.DeployOvercloud take_action(Namespace(block_storage_flavor='baremetal', block_storage_scale=0, bm_network_gateway='192.0.2.1', ceph_storage_flavor='baremetal', ceph_storage_scale=1, cinder_lvm=False, compute_flavor='baremetal', compute_scale=1, control_flavor='baremetal', control_scale=3, extra_dir='/etc/tripleo/extra_config.d', floating_id_cidr='192.0.2.0/24', floating_ip_end='192.0.2.64', floating_ip_start='192.0.2.45', hypervisor_neutron_public_interface='nic1', libvirt_type='qemu', network_cidr='10.0.0.0/8', neutron_bridge_mappings='datacentre:br-ex', neutron_disable_tunneling=False, neutron_flat_networks='datacentre', neutron_network_type='gre', neutron_network_vlan_ranges='datacentre:1:1000', neutron_physical_bridge='br-ex', neutron_public_interface='nic1', neutron_tunnel_types='gre', no_proxy='', nodes_json='instackenv.json', ntp_server='', output_dir=None, overcloud_nameserver='8.8.8.8', plan='overcloud', swift_storage_flavor='baremetal', swift_storage_scale=0, tripleo_root='/etc/tripleo', use_tht=False))
DEBUG: rdomanager_oscplugin.plugin Instantiating orchestration client: <class 'heatclient.v1.client.Client'>
DEBUG: keystoneclient.auth.identity.v2 Making authentication request to http://192.0.2.1:5000/v2.0/tokens
DEBUG: requests.packages.urllib3.connectionpool "POST /v2.0/tokens HTTP/1.1" 200 3541
DEBUG: heatclient.common.http curl -g -i -X GET -H 'X-Auth-Token: {SHA1}831ec5a4ea352f6cd3376547b3ce8f7c28f81392' -H 'Content-Type: application/json' -H 'X-Auth-Url: http://192.0.2.1:5000/v2.0' -H 'Accept: application/json' -H 'User-Agent: python-heatclient' http://192.0.2.1:8004/v1/56596d2c9a24490cb4b1f525fc5e659b/stacks/overcloud
INFO: requests.packages.urllib3.connectionpool Starting new HTTP connection (1): 192.0.2.1
DEBUG: requests.packages.urllib3.connectionpool "GET /v1/56596d2c9a24490cb4b1f525fc5e659b/stacks/overcloud HTTP/1.1" 404 585
DEBUG: heatclient.common.http 
HTTP/1.1 404 Not Found
date: Thu, 25 Jun 2015 16:03:35 GMT
connection: keep-alive
content-type: application/json; charset=UTF-8
content-length: 585
x-openstack-request-id: req-bfc88686-1901-46ee-ae24-3480977870b5

{"explanation": "The resource could not be found.", "code": 404, "error": {"message": "The Stack (overcloud) could not be found.", "traceback": "Traceback (most recent call last):\n\n  File \"/usr/lib/python2.7/site-packages/heat/common/context.py\", line 300, in wrapped\n    return func(self, ctx, *args, **kwargs)\n\n  File \"/usr/lib/python2.7/site-packages/heat/engine/service.py\", line 422, in identify_stack\n    raise exception.StackNotFound(stack_name=stack_name)\n\nStackNotFound: The Stack (overcloud) could not be found.\n", "type": "StackNotFound"}, "title": "Not Found"}

INFO: rdomanager_oscplugin.v1.overcloud_deploy.DeployOvercloud No stack found, will be doing a stack create
DEBUG: openstackclient.compute.client Instantiating compute client: <class 'novaclient.v2.client.Client'>
DEBUG: rdomanager_oscplugin.v1.overcloud_deploy.DeployOvercloud Checking hypervisor stats
DEBUG: keystoneclient.session REQ: curl -g -i -X GET http://192.0.2.1:8774/v2/56596d2c9a24490cb4b1f525fc5e659b/os-hypervisors/statistics -H "User-Agent: python-novaclient" -H "Accept: application/json" -H "X-Auth-Token: {SHA1}831ec5a4ea352f6cd3376547b3ce8f7c28f81392"
INFO: requests.packages.urllib3.connectionpool Starting new HTTP connection (1): 192.0.2.1
DEBUG: requests.packages.urllib3.connectionpool "GET /v2/56596d2c9a24490cb4b1f525fc5e659b/os-hypervisors/statistics HTTP/1.1" 200 245
DEBUG: keystoneclient.session RESP: [200] date: Thu, 25 Jun 2015 16:03:35 GMT connection: keep-alive content-type: application/json content-length: 245 x-compute-request-id: req-b4e14a73-0fb1-4c16-a0c3-300a8f54f233 
RESP BODY: {"hypervisor_statistics": {"count": 5, "vcpus_used": 0, "local_gb_used": 0, "memory_mb": 0, "current_workload": 0, "vcpus": 0, "running_vms": 0, "free_disk_gb": 0, "disk_available_least": 0, "local_gb": 0, "free_ram_mb": 0, "memory_mb_used": 0}}

DEBUG: openstackclient.network.client Instantiating network client: <class 'neutronclient.v2_0.client.Client'>
DEBUG: openstackclient.network.client Instantiating network api: <class 'neutronclient.v2_0.client.Client'>
DEBUG: tuskarclient.openstack.common.apiclient.client Request returned failure status: 404
ERROR: openstack 'PlanManager' object has no attribute 'find'
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/cliff/app.py", line 295, in run_subcommand
    result = cmd.run(parsed_args)
  File "/usr/lib/python2.7/site-packages/cliff/command.py", line 53, in run
    self.take_action(parsed_args)
  File "/usr/lib/python2.7/site-packages/rdomanager_oscplugin/v1/overcloud_deploy.py", line 646, in take_action
    self._deploy_tuskar(stack, parsed_args)
  File "/usr/lib/python2.7/site-packages/rdomanager_oscplugin/v1/overcloud_deploy.py", line 387, in _deploy_tuskar
    management.plans, parsed_args.plan)
  File "/usr/lib/python2.7/site-packages/openstackclient/common/utils.py", line 83, in find_resource
    return manager.find(**kwargs)
AttributeError: 'PlanManager' object has no attribute 'find'
DEBUG: openstackclient.shell clean_up DeployOvercloud
DEBUG: openstackclient.shell got an error: 'PlanManager' object has no attribute 'find'
ERROR: openstackclient.shell Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/openstackclient/shell.py", line 176, in run
    return super(OpenStackShell, self).run(argv)
  File "/usr/lib/python2.7/site-packages/cliff/app.py", line 230, in run
    result = self.run_subcommand(remainder)
  File "/usr/lib/python2.7/site-packages/cliff/app.py", line 295, in run_subcommand
    result = cmd.run(parsed_args)
  File "/usr/lib/python2.7/site-packages/cliff/command.py", line 53, in run
    self.take_action(parsed_args)
  File "/usr/lib/python2.7/site-packages/rdomanager_oscplugin/v1/overcloud_deploy.py", line 646, in take_action
    self._deploy_tuskar(stack, parsed_args)
  File "/usr/lib/python2.7/site-packages/rdomanager_oscplugin/v1/overcloud_deploy.py", line 387, in _deploy_tuskar
    management.plans, parsed_args.plan)
  File "/usr/lib/python2.7/site-packages/openstackclient/common/utils.py", line 83, in find_resource
    return manager.find(**kwargs)
AttributeError: 'PlanManager' object has no attribute 'find'

Comment 4 Ana Krivokapic 2015-06-25 22:42:43 UTC
Couldn't reproduce this on a system with python-rdomanager-oscplugin-0.0.8-11.el7ost.noarch and rhos-release-0.62-1.noarch.

I believe this was fixed by:
https://github.com/rdo-management/python-rdomanager-oscplugin/commit/23c8bb4c4de0b866bbf31c15878400462b900e61

Comment 7 errata-xmlrpc 2015-08-05 13:56:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2015:1549


Note You need to log in before you can comment on or make changes to this bug.